2019-11-18 21:57 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000190mercuryBugpublic2011-03-18 15:09
Reportercolanderman 
Assigned Tojuliensf 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000190: solver type constraint_store declaration has trouble unifying imported types
DescriptionIf a solver type constraint_store declares a mutable of an imported type (say list), it fails trying to unify the unqualified type name with the qualified version (e.g. list(int) with list.list(int)).
Additional InformationA workaround is to prefix the type name in the mutable declaration.

The bug does not occur in normal mutable declarations.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000317

juliensf (administrator)

The problem here is that module qualification skips the constraint_store attribute.

~0000318

colanderman (reporter)

More info: this seems also to occur with locally defined types and equivalence types (equivalences aren't checked).

~0000319

juliensf (administrator)

I've committed the a fix for the first problem. The second problem is due to equivalence
types in the constraint_store attribute not being expanded; I'm presently testing
a fix for that.

~0000320

juliensf (administrator)

A fix for the problem with equivalence type expansion in constriant_store atttributes
has been committed as well.
+Notes

-Issue History
Date Modified Username Field Change
2011-03-17 12:40 colanderman New Issue
2011-03-17 12:40 colanderman File Added: mutable_bug.m
2011-03-17 14:24 juliensf Status new => assigned
2011-03-17 14:24 juliensf Assigned To => juliensf
2011-03-17 14:25 juliensf Note Added: 0000317
2011-03-17 14:57 colanderman Note Added: 0000318
2011-03-17 16:39 juliensf Note Added: 0000319
2011-03-18 15:09 juliensf Note Added: 0000320
2011-03-18 15:09 juliensf Status assigned => resolved
2011-03-18 15:09 juliensf Resolution open => fixed
+Issue History